#1474 (ok 4.2) Text transformation combines Append and Prepend

Needs_decision
fixed
1
2014-05-21
2013-12-05
Rob Lewis
No

I've modified the "Append" text transformation to accept two parameters: one text string to be prepended to the data, and a second string to be appended. Both default to empty strings, and either or both may be used.

I'm not wild about the name I came up with, but hopefully it gets the idea across: "PreApPend".

1 Attachments

Discussion

  • Rob Lewis

    Rob Lewis - 2013-12-05

    Again, I don't think you can attach more than one file to a post (somebody correct me if I'm wrong), so here's the other file…

     
  • Marc Delisle

    Marc Delisle - 2013-12-05

    Rob,
    yes, we can avoid your need to use github, if you just confirm to me that you are the original author of this code.

     
    • Rob Lewis

      Rob Lewis - 2013-12-05

      I wrote the original "Append" transformation. Someone else rewrote it
      in your newer object-oriented form. I modified that into what I
      submitted for PreApPend. 
      If you look at the code, you'll see comments flagged with "**GRL"
      describing my changes. It was pretty simple, obviously. 
      --G. R. (Rob) Lewis

      ----- Original Message -----
      From: "[phpmyadmin:feature-requests]"
      To:"[phpmyadmin:feature-requests]"
      Cc:
      Sent:Thu, 05 Dec 2013 20:36:53 +0000
      Subject:[phpmyadmin:feature-requests] #1474 Text transformation
      combines Append and Prepend

      Rob,
      

      yes, we can avoid your need to use github, if you just confirm to me
      that you are the original author of this code.


       [FEATURE-REQUESTS:#1474] [1] TEXT TRANSFORMATION COMBINES APPEND
      

      AND PREPEND

      STATUS: open
      

      LABELS: transformation
      CREATED: Thu Dec 05, 2013 01:21 AM UTC by Rob Lewis
      LAST UPDATED: Thu Dec 05, 2013 05:50 PM UTC
      OWNER: nobody

      I've modified the "Append" text transformation to accept two
      

      parameters: one text string to be prepended to the data, and a second
      string to be appended. Both default to empty strings, and either or
      both may be used.

      I'm not wild about the name I came up with, but hopefully it gets
      

      the idea across: "PreApPend".

      Sent from sourceforge.net because you indicated interest in
      

      https://sourceforge.net/p/phpmyadmin/feature-requests/1474/ [2]

      To unsubscribe from further messages, please visit
      

      https://sourceforgenet/auth/subscriptions/ [3]

      [1]
      http://webmail.whidbey.com/HTTP://SOURCEFORGE.NET/P/PHPMYADMIN/FEATURE-REQUESTS/1474/
      [2] https://sourceforge.net/p/phpmyadmin/feature-requests/1474/
      [3] https://sourceforge.net/auth/subscriptions/

       
  • Marc Delisle

    Marc Delisle - 2013-12-06
    • assigned_to: Marc Delisle
     
  • Marc Delisle

    Marc Delisle - 2013-12-06
    • summary: Text transformation combines Append and Prepend --> (ok 4.2) Text transformation combines Append and Prepend
    • status: open --> resolved
    • Priority: 5 --> 1
     
  • Marc Delisle

    Marc Delisle - 2013-12-06

    Implemented in 4.2, thanks.

     
  • Marc Delisle

    Marc Delisle - 2014-05-21
    • Status: resolved --> fixed